package cn.com.qmth.stmms.biz.report.service;

import cn.com.qmth.stmms.biz.report.model.ReportSubject;
import cn.com.qmth.stmms.biz.report.query.ReportSubjectQuery;

/**
 * 课程总量统计 service 接口
 *
 * @Date 2019-04-12 17:12
 * @Created by xuwenjin
 */
public interface ReportSubjectService {

    ReportSubject save(ReportSubject reportSubject);

    void deleteByExamId(Integer examId);

    void deleteByExamIdAndSubjectCode(Integer examId, String subjectCode);

    ReportSubjectQuery findByQuery(ReportSubjectQuery query);

    ReportSubject findOne(Integer examId, String subjectCode);

}
